from flask import Request
from typing import Any
from ESDocument import ESDocument
from Commons import Commons

class ESCourse(ESDocument):
    """Represents a Course document in Elasticsearch.

    Inherits from ESDocument and specializes in handling course-related
    documents with the Elasticsearch type 'course'.
    """

    def __init__(self, commons: Commons, req: Request, doc_type: str = 'course') -> None:
        """Initialize course document handler.

        Args:
            commons: Application configuration utilities
            req: Flask request object containing document data
            doc_type: Elasticsearch document type (default: 'course')
        """
        super().__init__(commons, req, doc_type)
