from flask import Request
from typing import Any
from ESDocument import ESDocument
from Commons import Commons
from datetime import datetime

class ESStudent(ESDocument):
    """Handles student document operations in Elasticsearch.

    Inherits from ESDocument and provides specialized handling
    for student documents with type 'student'.
    """

    def __init__(self, commons: Commons, req: Request, doc_type: str = 'student') -> None:
        """Initialize student document processor.

        Args:
            commons: Application configuration utilities
            req: Incoming Flask request with student data
            doc_type: Elasticsearch document type (default: 'student')
        """
        super().__init__(commons, req, doc_type)
